Last Comment Bug 635749 - Don't assume we can press ENTER on an <input type='file'> to submit a form
: Don't assume we can press ENTER on an <input type='file'> to submit a form
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM: Core & HTML (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla6
Assigned To: Mounir Lamouri (:mounir)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-21 10:17 PST by Mounir Lamouri (:mounir)
Modified: 2011-04-13 14:14 PDT (History)
4 users (show)
mounir: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (2.30 KB, patch)
2011-02-21 10:17 PST, Mounir Lamouri (:mounir)
bzbarsky: review+
Details | Diff | Splinter Review
Patch v2 (3.68 KB, patch)
2011-03-09 10:51 PST, Mounir Lamouri (:mounir)
bugs: review+
Details | Diff | Splinter Review

Description Mounir Lamouri (:mounir) 2011-02-21 10:17:08 PST
Created attachment 514042 [details] [diff] [review]
Patch v1

... is that possible on some platforms?
Comment 1 Boris Zbarsky [:bz] 2011-02-21 11:58:11 PST
It used to be, for sure....  Now that you can only focus the button, which has its own handler for enter, it might not be possible.
Comment 2 Mounir Lamouri (:mounir) 2011-03-03 17:13:46 PST
Comment on attachment 514042 [details] [diff] [review]
Patch v1

Boris, feel free to review that patch (or decline the review) given that you seem to know about it, according to your previous comment.
Comment 3 Boris Zbarsky [:bz] 2011-03-04 12:53:04 PST
Comment on attachment 514042 [details] [diff] [review]
Patch v1

r=me
Comment 4 Boris Zbarsky [:bz] 2011-03-04 12:53:50 PST
Er, do you still need all that "If this is an enter on the button of a file input" gunk?
Comment 5 Olli Pettay [:smaug] (vacation Aug 25-28) 2011-03-05 15:47:01 PST
I'll r once comment 4 is addressed.
Comment 6 Mounir Lamouri (:mounir) 2011-03-09 10:51:01 PST
Created attachment 518111 [details] [diff] [review]
Patch v2

r=bz

This is removing the dead code.
Comment 7 Mounir Lamouri (:mounir) 2011-04-13 14:09:41 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/c0b7ecc1dc10

Note You need to log in before you can comment on or make changes to this bug.